org.eclipse.jetty.annotations

## Class WebFilterAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler
  - - org.eclipse.jetty.annotations.WebFilterAnnotationHandler

- All Implemented Interfaces:
    AnnotationParser.DiscoverableAnnotationHandler, AnnotationParser.Handler

      public class WebFilterAnnotationHandler
      extends AbstractDiscoverableAnnotationHandler

  WebFilterAnnotationHandler

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler

      `_annotations, _context, _resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebFilterAnnotationHandler(WebAppContext context)`
    `WebFilterAnnotationHandler(WebAppContext context, List<DiscoveredAnnotation> list)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnnotationName()` Get the name of the annotation processed by this handler.
    `void` | `handleClass(String className, int version, int access, String signature, String superName, String[] interfaces, String annotation, List<AnnotationParser.Value> values)` Process an annotation that was discovered on a class
    `void` | `handleField(String className, String fieldName, int access, String fieldType, String signature, Object value, String annotation, List<AnnotationParser.Value> values)` Process an annotation that was discovered on a field
    `void` | `handleMethod(String className, String methodName, int access, String params, String signature, String[] exceptions, String annotation, List<AnnotationParser.Value> values)` Process an annotation that was discovered on a method

    - ### Methods inherited from class org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler

      `addAnnotation, getAnnotationList, getResource, resetList, setResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebFilterAnnotationHandler

          public WebFilterAnnotationHandler(WebAppContext context)

    - #### WebFilterAnnotationHandler

          public WebFilterAnnotationHandler(WebAppContext context,
                                    List<DiscoveredAnnotation> list)

  - ### Method Detail

    - #### handleClass

          public void handleClass(String className,
                         int version,
                         int access,
                         String signature,
                         String superName,
                         String[] interfaces,
                         String annotation,
                         List<AnnotationParser.Value> values)

      Description copied from interface: `AnnotationParser.DiscoverableAnnotationHandler`
      Process an annotation that was discovered on a class

    - #### handleField

          public void handleField(String className,
                         String fieldName,
                         int access,
                         String fieldType,
                         String signature,
                         Object value,
                         String annotation,
                         List<AnnotationParser.Value> values)

      Description copied from interface: `AnnotationParser.DiscoverableAnnotationHandler`
      Process an annotation that was discovered on a field

    - #### handleMethod

          public void handleMethod(String className,
                          String methodName,
                          int access,
                          String params,
                          String signature,
                          String[] exceptions,
                          String annotation,
                          List<AnnotationParser.Value> values)

      Description copied from interface: `AnnotationParser.DiscoverableAnnotationHandler`
      Process an annotation that was discovered on a method

    - #### getAnnotationName

          public String getAnnotationName()

      Description copied from interface: `AnnotationParser.DiscoverableAnnotationHandler`
      Get the name of the annotation processed by this handler. Can be null
      Returns:

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.